#include <stdio.h>

int main(){
    int X;
    scanf("%d",&X);

    int line=1, line_max=1, denum;
    do{
        if(X>line_max){
            line_max+=line+1;
        }
        else{
            if(line%2){
                denum = line-(line_max-X);
            }
            else{
                denum = line_max-X+1;
            }
            printf("%d/%d",line-denum+1, denum);
            break;
        }
    }while(line++);

    return 0;
    
}